<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::test::ChannelTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html">ChannelTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::test::ChannelTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  
 <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::afml::test::ChannelTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_inherit__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_inherit__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html" title="Manages testing focus changes. " alt="" coords="76,5,269,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::afml::test::ChannelTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_coll__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html" title="Manages testing focus changes. " alt="" coords="76,5,269,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a9b94068e99b81a1a301640d4a958b530"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#a9b94068e99b81a1a301640d4a958b530">SetUp</a> ()</td></tr>
<tr class="separator:a9b94068e99b81a1a301640d4a958b530"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5754aba8d73c2511fec1f53efb407d1e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#a5754aba8d73c2511fec1f53efb407d1e">clientA</a></td></tr>
<tr class="memdesc:a5754aba8d73c2511fec1f53efb407d1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test client that used to observe Channels.  <a href="#a5754aba8d73c2511fec1f53efb407d1e">More...</a><br /></td></tr>
<tr class="separator:a5754aba8d73c2511fec1f53efb407d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a881aa0b69c1d233ba69bfb6894e8ff87"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#a881aa0b69c1d233ba69bfb6894e8ff87">clientB</a></td></tr>
<tr class="memdesc:a881aa0b69c1d233ba69bfb6894e8ff87"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test client that used to observe Channels.  <a href="#a881aa0b69c1d233ba69bfb6894e8ff87">More...</a><br /></td></tr>
<tr class="separator:a881aa0b69c1d233ba69bfb6894e8ff87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af452e6c72861b64d278db96df48fcf2d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#af452e6c72861b64d278db96df48fcf2d">testChannel</a></td></tr>
<tr class="memdesc:af452e6c72861b64d278db96df48fcf2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#af452e6c72861b64d278db96df48fcf2d">More...</a><br /></td></tr>
<tr class="separator:af452e6c72861b64d278db96df48fcf2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html">alexaClientSDK::afml::test::FocusChangeManager</a></td></tr>
<tr class="memitem:aa50dffd90112328dca89ff6fe7f5965d inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#aa50dffd90112328dca89ff6fe7f5965d">assertFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">FocusState</a> expectedFocusState)</td></tr>
<tr class="separator:aa50dffd90112328dca89ff6fe7f5965d inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503ea3e9069d6794fc114eee30c8b73c inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#a503ea3e9069d6794fc114eee30c8b73c">assertNoFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client)</td></tr>
<tr class="separator:a503ea3e9069d6794fc114eee30c8b73c inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9b94068e99b81a1a301640d4a958b530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b94068e99b81a1a301640d4a958b530">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::afml::test::ChannelTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5754aba8d73c2511fec1f53efb407d1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5754aba8d73c2511fec1f53efb407d1e">&#9670;&nbsp;</a></span>clientA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::ChannelTest::clientA</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A test client that used to observe Channels. </p>

</div>
</div>
<a id="a881aa0b69c1d233ba69bfb6894e8ff87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a881aa0b69c1d233ba69bfb6894e8ff87">&#9670;&nbsp;</a></span>clientB</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::ChannelTest::clientB</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A test client that used to observe Channels. </p>

</div>
</div>
<a id="af452e6c72861b64d278db96df48fcf2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af452e6c72861b64d278db96df48fcf2d">&#9670;&nbsp;</a></span>testChannel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>&gt; alexaClientSDK::afml::test::ChannelTest::testChannel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A test <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/test/<a class="el" href="_focus_manager_test_8cpp.html">FocusManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
